Base URL: https://demo-api.incodesmile.com — Incode demo environment
Authenticate user by comparing base64 image from request and user's existing face template. In case of One to one authentication, user is first found in DB by hint from request. At least one of criteria parameter must be sent in request. In case of One to N authentication, hint is not used. In case face doesn't match error response is returned.
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
api-version |
header | string | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
base64Image |
string | yes | Image of user's face represented in base64. |
faceCoordinates |
FaceCoordinatesDto | Face coordinates | |
faceCoordinates.leftEyeX |
number (float) | yes | Left eye coordinates for X |
faceCoordinates.leftEyeY |
number (float) | yes | Left eye coordinates for Y |
faceCoordinates.rightEyeX |
number (float) | yes | Right eye coordinates for X |
faceCoordinates.rightEyeY |
number (float) | yes | Right eye coordinates for Y |
faceCoordinates.mouthX |
number (float) | Left mouth coordinates for X. Note: the field is deprecated, use leftMouthX instead | |
faceCoordinates.leftMouthX |
number (float) | Left mouth coordinates for X | |
faceCoordinates.mouthY |
number (float) | Left mouth coordinates for Y. Note: the field is deprecated, use leftMouthY instead | |
faceCoordinates.leftMouthY |
number (float) | Left mouth coordinates for Y | |
faceCoordinates.rightMouthX |
number (float) | yes | Right mouth coordinates for X |
faceCoordinates.rightMouthY |
number (float) | yes | Right mouth coordinates for Y |
faceCoordinates.noseTipX |
number (float) | yes | Nose coordinates for X |
faceCoordinates.noseTipY |
number (float) | yes | Nose coordinates for Y |
faceCoordinates.x |
number (float) | yes | X coordinate of face rectangle. |
faceCoordinates.y |
number (float) | yes | Y coordinate of face rectangle. |
faceCoordinates.width |
number (float) | yes | Width of face rectangle. |
faceCoordinates.height |
number (float) | yes | Height of face rectangle. |
hint |
string | Customer hint. Possible hints are: customer id, email, phone number... | |
recordingId |
string | Id of recording used in spoof detection. |
Responses
200
OK
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
overallStatus |
string | Authentication status: FAIL/PASS. Enum: PASS, FAIL |
|
captureAttemptsLimit |
CaptureAttemptsLimitDto | Checked only if configured in the session flow. Shows remaining number of attempts, and maximum number of attempts allowed. | |
captureAttemptsLimit.max |
integer (int32) | Maximum number of attempts to capture a photo. | |
captureAttemptsLimit.remaining |
integer (int32) | Number of remaining attempts to capture a photo. | |
candidate |
string | Id of matched candidate. | |
error |
OnboardingAuthenticationErrorDto | Error name and description pair. Possible error names are: INACTIVE_SESSION, NONEXISTENT_CUSTOMER, LENSES_DETECTED, FACE_MASK_DETECTED, HEAD_COVER_DETECTED, CLOSED_EYES_DETECTED, FACE_TOO_DARK, SPOOF_ATTEMPT_DETECTED, USER_IS_NOT_RECOGNIZED, SELFIE_IMAGE_LOW_QUALITY, MULTIPLE_FACES_DETECTED, HINT_NOT_PROVIDED, FACE_NOT_FOUND, FACE_CROPPING_FAILED, FACE_TOO_SMALL, FACE_TOO_BLURRY, BAD_PHOTO_QUALITY, PROCESSING_ERROR, BAD_REQUEST | |
error.name |
string | ||
error.message |
string |